brasero (3.12.3-6) unstable; urgency=medium

  * Remove unnecessary Build-Depends: libgirepository1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 11:11:17 -0400

brasero (3.12.3-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Explicitly Build-Depend on gir1.2-gtk-3.0-dev
  * d/control: Replace libgstreamer1.0-dev B-D with gobject-introspection
  * Standards-Version: 4.7.2 (no changes required)

  [ Jeremy Bícha ]
  * debian/copyright: don't included the old FSF address

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 18:00:51 -0400

brasero (3.12.3-4) unstable; urgency=medium

  * Opt into dpkg build API v1
  * Stop using dh-sequence-gnome
  * Update Suggests: tracker → localsearch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 14:51:51 -0400

brasero (3.12.3-3) unstable; urgency=medium

  * Team upload, attempting to salvage brasero into a somewhat working
    state for trixie

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Rebecca N. Palmer ]
  * d/p/Fix-gcc-14.x-build-failure-due-to-Wincompatible-pointer-t.patch:
    Add patch from upstream to allow building with gcc-14 (Closes: #1074854)

  [ Simon McVittie ]
  * d/p/Fix-gcc-14.x-build-failure-due-to-Wincompatible-pointer-t.patch:
    Preserve upstream authorship, add DEP-3 metadata
  * d/upstream/metadata: Add
  * d/control: Stop generating from a template
  * d/control: Build-depend on pkgconf, which replaces pkg-config
  * d/control: Add gir:Depends, gir:Provides to -dev package
  * d/control: Use gir:Provides instead of hard-coding its expansion
  * d/libbrasero-media3-1.symbols: Add Build-Depends-Package to each library
  * d/control: Canonicalize Vcs-Browser
  * d/brasero.lintian-overrides: Remove unused Lintian overrides
  * d/salsa-ci.yml: Add
  * d/patches: Update translations from upstream git, up to 2024-11-27
    - Add ab, ie, ka
    - Update ca, da, de, eu, es, fr, fur, id, is, oc, pt, ru, th, tr
  * d/patches: Add bug fixes from upstream git, up to 2024-11-27.
    Newest available upstream commit: 3.12.3-41-g98342080
    - d/p/checksum-Default-to-SHA256-rather-than-MD5.patch:
      Default to SHA256 checksums in preference to MD5
    - d/p/libbrasero-media-Fix-duplicated-if.patch:
      Fix a compiler warning
    - d/p/desktop-Remove-obsolete-Bugzilla-entries*.patch:
      Remove fields that were only relevant for GNOME 2's crash
      reporting system, and simplify the build system
    - d/p/Replace-invalid-signal-name.patch:
      Replace a signal name that GLib no longer accepts since 2.64
      (Debian 11)
    - d/p/libbrasero-burn-Fix-incorrect-plugin-version-comparison.patch:
      Fix detection of a suitable vcdimager version (LP: #1880385)
    - d/p/src-Fix-GtkSpinButton-filling-vertical-space.patch:
      Fix an oversized UI element with newer GTK
    - d/p/Prefer-application-vnd.efi.iso-MIME-type.patch:
      Fix inability to burn .iso images since shared-mime-info started
      identifying them as application/vnd.efi.iso in 2023
    - d/p/burn-dialog-Use-media-optical-for-notifications.patch:
      Make the icon in the notification consistent with other GNOME apps
    - d/p/Fix-gcc-14.x-build-failure-due-to-Wincompatible-pointer-t.patch:
      Move into sequence with other upstream changes
  * d/patches: Add selected bug fixes from upstream merge requests.
    Thanks to Balló György / Arch Linux for curating these.
    - d/p/Replace-BaobabCellRendererProgress-with-native-GtkCellRen.patch:
      Fix rendering of the column in the data CD view that shows space
      taken by each item
    - d/p/Remove-libegg-multidrag-treeview-support-for-in-built-Gtk.patch:
      Use a standard GTK file chooser, without trying to add non-standard
      behaviour by making use of a GObject feature that is no longer
      available
    - d/p/libbrasero-burn-Fix-incorrect-condition-during-error-chec.patch,
      d/p/cdrdao-Add-better-error-message-for-Unsupported-track-mod.patch,
      d/p/cdrkit-Add-better-error-message-for-Unsupported-sector-si.patch:
      Improve error reporting
    - d/p/Update-metainfo-file-to-follow-the-latest-specification.patch:
      Follow the current Appstream specification
  * d/p/data-Update-screenshot-URLs-to-point-to-archived-GNOME-wi.patch:
    Replace screenshot URLs with archived content from GNOME's retired
    wiki, which (for now) still work. Ideally the screenshots should be
    hosted in the upstream repository, but that will require an upstream
    maintainer to take action.
  * d/p/debian/allow-overriding-plugin-directory.patch: Improve metadata.
    Describe why this patch is necessary, and move it to a debian/
    subdirectory as presumably non-upstreamable.
  * d/p/0002-Stop-referencing-empty-Object-Hierarchy.patch: Improve metadata.
    Add Bug-Debian.

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Jan 2025 00:13:17 +0000

brasero (3.12.3-2) unstable; urgency=medium

  * Team upload
  * Removed nautilus extension since it's incompatible with nautilus 43

 -- Jesús Soto <jesus.soto@canonical.com>  Tue, 16 Aug 2022 16:26:53 -0400

brasero (3.12.3-1) unstable; urgency=medium

  * New upstream release
  * Drop tracker3 patches: applied in new release
  * debian/brasero.install: Update for new AppStream metadata location
  * debian/rules: export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 07:38:36 -0400

brasero (3.12.2-8) unstable; urgency=medium

  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 18:22:50 -0400

brasero (3.12.2-7) experimental; urgency=medium

  * various: Cherry-pick patches from upstream !10 for tracker 3 and update
    BDs

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 10:40:14 +0100

brasero (3.12.2-6) unstable; urgency=medium

  * Add patch to fix build with gtk-doc 1.32 (Closes: #939591)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 13:22:48 +0200

brasero (3.12.2-5) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:04:43 -0500

brasero (3.12.2-4) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-brasero-3.1 Provides gir1.2-braseroburn-3.1 and
    gir1.2-braseromedia-3.1 to reflect its contents (note that there is
    no Brasero-3.1.typelib at all)

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 08:45:00 -0500

brasero (3.12.2-3) unstable; urgency=medium

  * Build-depend on libtracker-sparql-2.0-dev instead of 1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 17:32:11 -0400

brasero (3.12.2-2) unstable; urgency=medium

  * Add missing Breaks/Replaces for old gir package

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 14:26:41 -0400

brasero (3.12.2-1) unstable; urgency=medium

  * New upstream release
  * Split nautilus-plugin-brasero to a separate package. (Closes: #842830)
  * Rename gir1.2-brasero-3.0 to gir1.2-brasero-3.1 to match gir version
    number
  * Drop conflicts on nautilus-cd-burner, not needed since Squeeze
  * Drop 01_current_libdvdcss_symbol.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Sep 2017 21:34:26 -0400

brasero (3.12.1-4) unstable; urgency=medium

  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~) to
    ensure we have a version with multiarch support. (Closes: #839225)

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Sep 2016 14:36:20 +0200

brasero (3.12.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh
  * Bump dh compat to 10
  * Add debian/docs to install AUTHORS, NEWS, README
  * Enable all hardening flags
  * debian/control.in:
    - Explicitly build-depend on gnome-common (Closes: #837858)
  * Add allow-overriding-plugin-directory.patch:
    - Allow overriding plugin install directory with environment variable
  * Add 01_current_libdvdcss_symbol.patch:
    - Fix detection of newer libdvdcss2 versions (Closes: #800833)

  [ Jordi Mallach ]
  * Fix reference to GFDL in copyright.

 -- Jordi Mallach <jordi@debian.org>  Thu, 22 Sep 2016 00:58:53 +0200

brasero (3.12.1-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages
  * debian/control.in: Bump Standards-Version to 3.9.8 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 02:51:01 +0200

brasero (3.12.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release (3.12.0).
  * Drop 01_fix-plugin-dialog-segfault.patch, fixed upstream

  [ Michael Biebl ]
  * New upstream release (3.12.1).

 -- Michael Biebl <biebl@debian.org>  Tue, 26 May 2015 22:24:10 +0200

brasero (3.11.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recommend brasero-cdrkit to avoid a cd ejection issue (closes: #772567)
    - Thanks to Santiago Villa.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 31 Jan 2015 19:55:32 +0000

brasero (3.11.4-1) unstable; urgency=medium

  * New upstream release
    - Fix segfault at startup (Closes: #762453)
    - Drop debian/patches/01_tracker-1.0.patch: Applied upstream
    - Bump intltool build-dependency to 0.50
  * debian/control.in:
    - Update Homepage URL
    - Bump Standards-Version to 3.9.6 (no further changes)
  * debian/brasero.install: Install appdata file
  * Add debian/brasero.lintian-overrides: Override warnings regarding
    brasero-nautilus.desktop file, it's used for the nautilus extension
  * Add d/p/01_fix-plugin-dialog-segfault.patch: Fix segfault when displaying
    the plugin dialog

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Oct 2014 15:48:52 +0200

brasero (3.10.0-2) unstable; urgency=medium

  * Install typelib files into MA libdir.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 25 Sep 2014 11:39:58 +0100

brasero (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches, all merged upstream.
  * Switch to tracker 1.0. (Closes: #741428)
  * Update symbols file, add new brasero_utils_get_option_group symbol.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 May 2014 01:29:30 +0200

brasero (3.8.0-2) unstable; urgency=low

  * Drop obsolete --disable-scrollkeeper configure flag.
  * Build against tracker 0.16.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jul 2013 14:08:57 +0200

brasero (3.8.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 02_fix-while-loop-in-libburnia-backend.patch and
    04_put-settings-in-the-correct-path.patch, merged upstream.
  * Stop using clean-la.mk, we no longer ship any libtool .la files.
  * Port to new documentation infrastructure. Use yelp-tools instead of
    gnome-doc-utils.
  * Port to GStreamer 1.0. Update dependencies accordingly.
  * Add 04_tracker-0.16.patch in preparation for the tracker 0.16 transition.
    Still build against tracker 0.14 for now.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jun 2013 23:31:14 +0200

brasero (3.4.1-4) unstable; urgency=low

  * debian/patches/01_grafted_folders.patch: Fix a segfault when creating
    subfolders in a data project. Patch courtesy of Andrej Belym.
    Closes: #659061
  * debian/patches/02_fix-while-loop-in-libburnia-backend.patch: Fix while
    condition in libburnia backend which caused incomplete data to be written
    to CD/DVD. Thanks Thomas Schmitt and Paul Menzel for the excellent
    debugging and the patch. Closes: #688229
  * debian/patches/04_put-settings-in-the-correct-path.patch: Use correct
    schema path /org/gnome/brasero instead of /apps/brasero. Patch
    cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Oct 2012 23:31:15 +0200

brasero (3.4.1-3) unstable; urgency=low

  * Revert unwanted 3.4.1-2.1 NMU.
  * Move growisofs plugin to brasero-cdrkit. Really closes: #658789.
  * Add breaks/replaces and update growisofs dependency accordingly.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Sep 2012 23:56:43 +0200

brasero (3.4.1-2) unstable; urgency=low

  * Mark the brasero_file_monitor_* symbols as arch=linux-any. Closes: #679311

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Jun 2012 00:00:29 +0200

brasero (3.4.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Pass -- -c4 to dh_makeshlibs.
  * Don't include gnome-version.mk.
  * Remove duplicate build dep on libnotify-dev.

  [ Jeremy Bicha ]
  * debian/control.in: Recommend yelp

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Jun 2012 20:02:48 +0200

brasero (3.3.92-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/01_fix-formatting-error-in-man-page.patch: Removed, merged
    upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 23:55:39 +0100

brasero (3.3.91-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/01_gcc-format-security-commit: Removed, applied upstream.
  * debian/patches/02_gcc-format-security: Removed, applied upstream.
  * debian/patches/04_tracker-0.14.patch: Removed, fixed upstream.
  * Drop obsolete Build-Depends on libunique-dev.
  * Fix a small formatting error in the brasero.1 man page. Closes: #652687
  * Add tracker to Suggests and mention in the long description that it can be
    used to search for video, audio, image and document files. Closes: #646103
  * debian/libbrasero-media3-1.symbols: Add symbols file for improved shlibs
    dependencies.
  * Rebuild gtk-doc API documentation instead of shipping the pre-generated
    files from the upstream tarball.
  * Instead of moving plugins around post-install, list them explicitly in the
    corresponding .install files.
  * Use list-missing to show which files have not been installed.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 23:34:57 +0100

brasero (3.2.0-4) unstable; urgency=low

  * Build against tracker 0.14.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Mar 2012 19:16:18 +0100

brasero (3.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Change section of gir1.2-brasero-3.0 to introspection.

  [ Simon McVittie ]
  * Apply patch from Tanguy Ortolo to fix inability to burn tracks
    with cdrdao if their length is fractionally less than a whole number
    of seconds (Closes: #619723)

 -- Simon McVittie <smcv@debian.org>  Sat, 03 Mar 2012 19:05:54 +0000

brasero (3.2.0-3) unstable; urgency=low

  * Build against tracker 0.12. Closes: #643939

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Nov 2011 17:15:58 +0100

brasero (3.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - Make libbrasero-media3-dev depend on gir1.2-brasero-3.0.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 14:00:13 +0100

brasero (3.2.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Update Vcs-* fields

  [ Jean Schurger ]
  * New upstream version
  * debian/patches:
    - Added 01_gcc-format-security-commit, 02_gcc-format-security
    - Removed debian/patches/01_libtracker-sparql-0.10.patch (fixed upstream)
  * debian/rules:
    - Fixed usage of --enable-search configure option (does not accept =tracker)
    - Enabled introspection
  * debian/*.install
    - Removed omf/
    - Enabled introspection
  * debian/control.in:
    - Updated dependencies

  [ Michael Biebl ]
  * debian/watch:
    - Switch to .xz tarballs.

  [ Josselin Mouette ]
  * Drop gconf requirement.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Nov 2011 19:21:55 +0100

brasero (3.0.0-4) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Update Vcs-* fields

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/patches/02_gcc-format-security.patch
    - Fix format string vulnerabilities.
  * debian/watch:
    - Switch to .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 20:13:30 +0200

brasero (3.0.0-3) experimental; urgency=low

  * Cherry-pick patch from upstream Git to use libtracker-sparql instead of
    libtracker-client, which is deprecated and scheduled to be removed in
    tracker 0.12.
  * Change Build-Depends on libtracker-client-0.10-dev to
    libtracker-sparql-0.10-dev.
  * debian/watch: Track .bz2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Aug 2011 00:27:10 +0200

brasero (3.0.0-2) experimental; urgency=low

  * Build for tracker 0.10. Closes: #628792
  * Use dh-autoreconf to update the build system.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Set pkg-gnome-maintainers@l.a.d.o as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jul 2011 21:02:00 +0200

brasero (3.0.0-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 13 Apr 2011 19:14:30 +0200

brasero (2.91.93-1) experimental; urgency=low

  * Only depend on growisofs instead of dvd+rw-tools.
  * New upstream pre-release.
  * Update build-dependencies, package names, and paths.
  * Require totem-plparser 2.32 since its soname changed.
  * Do not include GIR package for now, since the versioning is broken
    (see Bugzilla #646069).
  * 01_pkglibdir.patch: dropped, upstream now has a variable we can use
    for that effect.
  * 11_nautilus_menu_no_display.patch, 31_link_libice.patch,
    50_checksum.patch: dropped, merged upstream.
  * 90_relibtoolize.patch: dropped, unnecessary.

 -- Josselin Mouette <joss@debian.org>  Tue, 29 Mar 2011 16:33:51 +0530

brasero (2.30.3-2) unstable; urgency=low

  * 50_checksum.patch: stolen from upstream git. Fixes
    image checksumming. Closes: #495469.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 21:05:48 +0100

brasero (2.30.3-1) unstable; urgency=low

  * Recommend cdrdao 1.2.3 so that it can actually work.
    + This restores CD copying functionality. Closes: #587408.
    + And audio CD burning without brasero-cdrkit. Closes: #580874.
  * New upstream bugfix and translation release.
    + Drops CD text support. Closes: #578366.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 16:48:36 +0200

brasero (2.30.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes incorrectly reported size by passing correct arguments to
      g_signal_emit(). Closes: #568606
    - Fixes tracker search support. Closes: #465238
  * debian/patches/90_relibtoolize.patch
    - Refresh for new upstream release.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump-Standards-Version to 3.9.0
    - Use architecture wildcard kfreebsd-any for the libcam-dev Build-Depends.
    - Use Breaks instead of Conflicts as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Jul 2010 15:14:24 +0200

brasero (2.30.1-1) unstable; urgency=low

  * 31_link_libice.patch: new patch. Explicitly link to libice.
    Closes: #554057.
  * Drop build-dependency on libbeagle since beagle is going to be
    removed.
  * New upstream release.
  * Update build-dependencies.
  * Disable introspection support to avoid blocking the totem
    transition.
  * Bump shlibs to 2.30.
  * 01_pkglibdir.patch, 90_relibtoolize.patch: updated for the new
    version.

 -- Josselin Mouette <joss@debian.org>  Mon, 03 May 2010 16:02:19 +0200

brasero (2.28.3-3) unstable; urgency=low

  * Enable cdrkit again, but in a separate package brasero-cdrkit that
    will not be installed by default.
  * Make it clear which features are brought by this package: mostly
    video DVD creation, CD-Text.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Jan 2010 17:44:30 +0100

brasero (2.28.3-2) unstable; urgency=low

  * Enable libburnia plugins, adding corresponding build-dependencies.
  * Entirely disable cdrtools *and* cdrkit plugins. This will remove any
    reference to schilyware.
  * Rename 011_* patch to 11_.
  * 01_pkglibdir.patch: use $(pkglibdir) instead of $(libdir)/brasero so
    that it can be overriden.
  * 90_relibtoolize.patch: re-apply the autotools on top of it.
  * Pass pkglibdir= argument to make invocation, with a versioned
    directory.
  * Install the plugins in libbrasero-media0 instead of brasero.
  * Force strict dependency for brasero on libbrasero-media0.
  * Move some dependencies/recommends to libbrasero-media0 as well.

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Jan 2010 20:51:03 +0100

brasero (2.28.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Dec 2009 22:35:03 +0100

brasero (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Upstream patch 030_fd_leak.patch dropped.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 27 Oct 2009 14:03:16 +0100

brasero (2.28.0-2) unstable; urgency=low

  * Don’t recommend gnome-mount, gvfs does it if needed.
    Closes: #549132.
  * 030_fd_leak.patch: stolen upstream. Don’t keep a FD open on the CD
    device. It avoids nautilus preventing CDs from being ejected when
    the brasero extension is installed.

 -- Josselin Mouette <joss@debian.org>  Thu, 01 Oct 2009 13:44:30 +0200

brasero (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/090_relibtoolize.patch:
    - Removed, shouldn't be needed anymore now that upstream uses a recent
      libtool.
  * debian/rules: remove check-dist.mk.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Sep 2009 15:53:10 +0200

brasero (2.27.92-2) experimental; urgency=low

  * Let libbrasero-media-dev depend on libdbus-glib-1-dev as it's required
    by libbrasero-burn.pc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Sep 2009 21:02:15 +0200

brasero (2.27.92-1) experimental; urgency=low

  * New upstream release.
    - Update build dependencies and -dev package dependencies.
      Hal is gone now!
    - Bump shlibs for the new api.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/patches/001_hal_null_pointer_dereference.patch:
    - Removed, brasero doesn't use hal anymore.
  * debian/patches/011_nautilus_menu_move.patch:
    - Renamed to 011_nautilus_menu_no_display.patch, don't patch the
      categories, we hide the item anyway.
  * Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Sep 2009 11:34:57 +0200

brasero (2.26.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend cdrdao. Closes: #525140.
  * Only use stable versions in watch file.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.
    - Don't hang at normalizing tracks. Closes: #533605.
  * debian/watch: Don't uupdate.
  * debian/patches/090_relibtoolize.patch: Refreshed.
  * debian/patches/001_hal_null_pointer_dereference.patch:
    Patch from Rogério Brito to not crash if hal isn't installed.
    Closes: #539624.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 05 Sep 2009 12:11:18 +0200

brasero (2.26.2-1) unstable; urgency=low

  [ Pedro Fragoso ]
  * Add myself to Maintainer field
    - Thanks Ondřej Surý
  * New upstream version (Closes: #528945)
    - Split package into brasero, libbrasero-media0 and libbrasero-dev
    - Add Replaces to libbrasero-media0
    - Bump libgtk to 2.14.0
    - Remove libnotify Build-dep
    - Add Build-dep libnautilus-extension-dev (>= 2.22.2)
      and install it.
    - Add Build-dep to libsm-dev
    - Add Build-dep on intltool
  * Install omf files to prevent crash on Help
  * Move gstreamer0.10-plugins-bad to Suggests, and add
    dvdauthor and vcdimager
  * Recommends gvfs (Closes: #491827)
  * Pass --disable-scrollkeeper in DEB_CONFIGURE_EXTRA_FLAGS
  * debian/patches/007-fix-gnome-doc-utils-path.patch:
    - Removed, not needed anymore
  * debian/patches/008-fix-volume-identifier-crash.patch:
    - Removed, merged upstream
  * debian/patches/011_nautilus_menu_move.patch:
   - Move CD/DVD Creator Menu to Acessories, taken from Ubuntu

  [ Luca Bruno ]
  * debian/control.in:
    - Add Build-Depend gtk-doc-tools 1.9.
  * debian/patches/006-fix-libdvdcss.patch:
    - Removed as applied upstream.

  [ Josselin Mouette ]
  * New upstream release.
  * Update build-dependencies.
  * Move the translations and data to a new brasero-common package.
  * Rewrite the descriptions.
  * Add -dev depends to the development package.
  * Remove inappropriate recommends in the library package.
  * Let’s not forget dvd+rw-tools so that we can write DVDs too.
  * Rework dependencies accordingly.
  * Put the nautilus extension in brasero.
  * Conflict against nautilus-cd-burner to avoid having two burning
    extensions.
  * Include clean-la.mk and gnome-version.mk; build-depend on
    gnome-pkg-tools 0.7.
  * Don’t run dh_makeshlibs on brasero and libbrasero-plugins.
  * 011_nautilus_menu_move.patch: add NoDisplay=true, this icon is
    duplicating existing functionality (brasero icon in sound&video
    menu, and nautilus autorun).
  * Update list of copyright holders.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: updated.

  [ Josselin Mouette ]
  * copyright: improve indentation, and point to versioned LGPL.
  * 090_relibtoolize.patch: add a relibtoolization patch to avoid the
    rpath crap.

 -- Josselin Mouette <joss@debian.org>  Wed, 24 Jun 2009 18:59:46 +0200

brasero (0.8.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Build-dep on libcam-dev for kfreebsd-i386 and kfreebsd-amd64 and also pass
    --disable-inotify to configure when DEB_BUILD_ARCH_OS isn't linux; fixes
    building on GNU/kFreeBSD; thanks Petr Salinger; Closes: #493359.

  [ Alan Baghumian ]
  * New upstream bugfix release, merged changelog entries.
  * Dropped 001-fix-valist.patch, merged upstream.
  * Refreshed 006-fix-libdvdcss and 007-fix-gnome-doc-utils-path patches
    to be applied cleanly.

  [ Gustavo Noronha Silva ]
  * debian/patches/008-fix-volume-identifier-crash.patch:
  - patch from upstream #1149 changeset to fix the crash when some
    unix-device-less volumes are present (Closes: #495984)
  * debian/control.in:
  - added Vcs-* headers

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 26 Aug 2008 20:34:35 -0300

brasero (0.8.0-2) unstable; urgency=low

  * 001-fix-valist.patch: do not assume va_list is a pointer.
    Closes: #493210.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Aug 2008 01:50:06 +0200

brasero (0.8.0-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream stable release, Closes: #490966.
    - fixed 4GB size problem, Closes: #489154.
  * debian/control*:
    - dropped GnomeVFS buid-dep, uses GIO instead
    - added build dep to libgvfscommon-dev
    - dropped Nautilus-Burn build-dep
    - bump glib2.0 build-dep to 2.15.6
    - bump standards version to 3.8.0, no extra changes needed
    - added gnome-doc-utils and scrollkeeper to build deps
    - added Homepage tag
  * Dropped 007-fix-desktop-file-mime-typo.patch, merged upstream
  * Added 007-fix-gnome-doc-utils-path.patch, fixes
    gnome-doc-utils.make include path

  [ Pedro Fragoso ]
  * debian/control.in:
    - remove build dep libgvfscommon-dev and libnotify-dev
    - bump build dep libgstreamer0.10-dev to (>= 0.10.15)
    - bump build dep libtotem-plparser-dev to (>= 2.22.0)
    - bump build dep gnome-doc-utils to (>= 0.3.2)
    - recomments on gstreamer0.10-plugins-bad for normalization plugin

 -- Alan Baghumian <alan@technotux.org>  Wed, 16 Jul 2008 09:43:05 +0200

brasero (0.7.1-3) unstable; urgency=low

  * DEB_DESTDIR := instead of =.
  * New patch, 007-fix-desktop-file-mime-typo, fixes typo in desktop file (":"
    instead of ";"); Launchpad #200024; closes: #464772.

 -- Loic Minier <lool@dooz.org>  Wed, 05 Mar 2008 13:09:24 +0100

brasero (0.7.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove the bonfire transitional package. Closes: #463313.

  [ Sebastian Dröge ]
  * debian/control.in:
    + Build depend conditionally on all possible libc development packages to
      fix build failure on ia64 and friends.
  * debian/rules:
    + Set DEB_DESTDIR to debian/tmp to work around cdbs weirdness.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 18:13:05 +0100

brasero (0.7.1-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream stable releases (Closes: #456901).
  * Refreshed 004_fix-windows-size patch
  * Dropped 001_use-sys-inotify.h patch, merged upstream
  * Updated debian/brasero.install to include plugins

  [ Loic Minier ]
  * Pass --disable-libburnia explicitely to avoid the support to be built in
    by surprize if the bdep is installed in a sufficiently high version in the
    future.
  * Bump libgtk2.0-dev build-dep to >= 2.12.0 to match upstream README.
  * Add a gstreamer0.10-plugins-base >= 0.10.0 dep to follow the upstream
    configure check.
  * Drop gdl build-dep.
  * Bump hal Recommends to >= 0.5.
  * Bump libtotem-plparser-dev build-dep to >= 2.14.
  * Build with inotify support.
    - Drop --disable-inotify configure flag.
    - Add an explicit libc6-dev (>= 2.5-1) build-dep.
  * Bump up libtotem-plparser-dev build-dep to >= 2.20.0.
  * Bump up Standards-Version to 3.7.3.
  * Conflict with bonfire <= 0.4.4-1 -- not <<.
  * Recommend gstreamer0.10-plugins-good and gnome-mount.
  * Downgrade gstreamer0.10-fluendo-mp3 recommends to a suggest.
  * New patch, 006-fix-libdvdcss, load libdvdcss lib with SONAME version as to
    not require the -dev package; Launchpad #134828; from Ubuntu.
  * Drop patch 004_fix-windows-size, upstream fixed the initial window size
    differently.
  * Build with beagle support; drop --disable-search and add a libbeagle-dev
    (>= 0.3.0) build-dep.

 -- Loic Minier <lool@dooz.org>  Tue, 29 Jan 2008 21:05:22 +0100

brasero (0.6.1-1) unstable; urgency=low

  * New upstream stable release (Closes: #441451).
    - Added support for libisofs 0.2.8
    - Added complete support for cdrkit, dropped
      000_cdrtools2cdrkit.patch
    - Fixed several crash and a memory leak problem
    - Fixed window size problem and few other minor bugs
  * Dropped 003_dont-run-update-desktop-database.patch,
    not needed anymore

 -- Alan Baghumian <alan@technotux.org>  Fri, 14 Sep 2007 08:18:47 +0330

brasero (0.6.0-2) unstable; urgency=low

  [ Otavio Salvador ]
  * Converted to use quilt to manage its patches.
  * Fix code to not use mkisofs and use genisoimage instead (Closes: #433053).
  * Fix gconf schemas installation.
  * Use single line menu file so lintian is happy again.

  [ Loic Minier ]
  * Update URL in copyright; cleanups.
  * Install gconf schemas in the default location -- /etc/gconf -- and let
    dh_gconf move them; more cleanups.
  * Build-depend on quilt.
  * Mention missing copyrights in copyright file; fix licensing of a couple of
    files in copyright file; thanks Lionel Le Folgoc; closes: #432894.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Jul 2007 21:18:18 +0200

brasero (0.6.0-1) unstable; urgency=low

  * New upstream version.
    - Drop syntax error fix patch since it was fixed upstream.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 11 Jul 2007 11:41:21 -0300

brasero (0.5.90-3) unstable; urgency=low

  * Another syntax error fix.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 11 Jul 2007 11:01:01 -0300

brasero (0.5.90-2) unstable; urgency=low

  * Fix menu file adding the need header on it (Closes: #431961).
  * Downgrade hal dependency to a recommendation (Closes: #432628).
  * Hopefully fix a FTBFS due a syntax error (Closes: #432399).

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 11 Jul 2007 10:25:05 -0300

brasero (0.5.90-1) unstable; urgency=low

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * Bump up Debhelper compatibility level to 5.
    - Drop bogus usr/share/pixmaps, usr/share/icons/gnome/48x48/mimetypes from
      install file.

  [ Otavio Salvador ]
  * New upstream version.
  * Add dependency on hal (Closes: #431854, #427644).
  * Add a menu file based on the patch provided by Nelson A. de Oliveira
    but already using the new menu layout (Closes: #405146).
  * Updated patches:
    - 000_cdrtools2cdrkit.patch: redone;
    - 001_use-sys-inotify.h.patch: cleaned and rediff;

 -- Otavio Salvador <otavio@ossystems.com.br>  Thu, 05 Jul 2007 21:21:57 -0300

brasero (0.5.2-1) unstable; urgency=low

  [ Loic Minier ]
  * Recommend gstreamer0.10-fluendo-mp3 for mp3 to CD audio conversion.
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Otavio Salvador ]
  * Add a watch file.
  * Change get-orig-source target to retrieve from GNOME project instead
    of SourceForge.
  * New upstream version (Closes: #405143).
  * Replace 000_cdrecord2wodim-0.4.4.patch with 000_cdrtools2cdrkit.patch
    and try to be as simple as possible to new releases merge easier
    (Closes: #411274)
  * Drop 002_update_german_po.patch.
  * Remove TODO.tasks from brasero.docs.
  * Depends on genisoimage instead of mkisofs (Closes: #406152).
  * Add a suggestions to gnome-icon-theme (Closes: #405144).
  * Add 004_fix-windows-size.patch to fix startup window size (Closes: #425406).
  * Use upstream manpage.
  * Remove brasero.dirs and brasero.docs since they has good defaults on CDBS.

  [ Loic Minier ]
  * Track all versions in watch file; track .tar.gz instead of .tar.bz2.
  * Add missing build-dep on libglib2.0-dev (>= 2.6.0).
  * Bump up build-deps to libgtk2.0-dev >= 2.10.0, libgnomevfs2-dev >= 2.14.2,
    libnautilus-burn-dev >= 2.16.0.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 04 Jun 2007 17:17:22 -0300

brasero (0.4.4-4) unstable; urgency=low

  * Don't update desktop-database at build time (Closes: #396357)

 -- Ondřej Surý <ondrej@debian.org>  Wed,  1 Nov 2006 13:50:05 +0100

brasero (0.4.4-3) unstable; urgency=low

  * Disable inotify.h support until <sys/inotify.h> is available (Closes: #394851)
  * Fix german translation (Closes: #394168)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2006 18:18:12 +0200

brasero (0.4.4-2) unstable; urgency=low

  * Use and depends on wodim in place of cdrecord (Closes: #394713)
  * Enable inotify support.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2006 10:45:26 +0200

brasero (0.4.4-1) unstable; urgency=low

  * New upstream version.
  * Package name change to brasero due to trademark concerns.
  * Use wodim binary instead of cdrecord (Closes: #386696)
  * Add manpage (courtesy of Andrew Burton) (Closes: #379556)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Sep 2006 11:04:07 +0200

bonfire (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@debian.org>  Fri,  4 Aug 2006 13:04:04 +0200

bonfire (0.3.90-1) unstable; urgency=low

  * Initial release (Closes: #366978)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2006 15:46:36 +0200
